@import "variables";
@import "layout";

:host {
  display: flex;

  @include styles-for-phone-only {
    flex-flow: column;
    align-items: center;
  }
}

.selector-area {
  margin-right: $spacing-large;

  &__heading {
    font-size: 12px;
    color: $textDarkGrey;
    line-height: 16px;
    text-align: center;
    font-weight: bold;
    margin-bottom: $spacing-small;
  }

  .year-selector {
    display: flex;
    flex-flow: row;
    align-items: center;
    justify-content: center;
    margin-bottom: $spacing-mini;
    font-weight: bold;

    .material-icons {
      font-size: 32px;
      margin: 0 $spacing-mini;
      cursor: pointer;
    }
  }

  .month-selector {
    display: flex;
    flex-wrap: wrap;
    max-width: 140px;
    margin-bottom: $spacing-small;

    &__box {
      display: flex;
      align-items: center;
      justify-content: center;

      width: 35px;
      height: 35px;
      cursor: pointer;

      &--active {
        background-color: $lightGrey;
      }

      &--hover {
        background-color: $paleBlue;
      }
    }
  }
}
